Create an application snapshot
Creates a snapshot of an application to preserve its current state. This can be useful for backup or recovery processes where maintaining the consistency of application data is important.
HTTP method and endpoint
POST /application/applications/{application.uuid}/snapshots
Introduced in
ONTAP 9.6
Required properties
-
name
Recommended optional properties
-
consistency_type- Track whether this snapshot is application or crash consistent.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
application.uuid |
string |
path |
True |
Application UUID |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
application |
||
comment |
string |
Comment. Valid in POST. |
components |
array[components] |
|
consistency_type |
string |
Consistency type. This is for categorization purposes only. A snapshot should not be set to 'application consistent' unless the host application is quiesced for the snapshot. Valid in POST. |
create_time |
string |
Creation time |
is_partial |
boolean |
A partial snapshot means that not all volumes in an application component were included in the snapshot. |
name |
string |
The snapshot name. Valid in POST. |
svm |
||
uuid |
string |
The snapshot UUID. Valid in URL. |
Example request
{
"application": {
"name": "string",
"uuid": "string"
},
"comment": "string",
"components": [
{
"name": "string",
"uuid": "string"
}
],
"consistency_type": "string",
"create_time": "string",
"name": "string",
"svm": {
"name": "string",
"uuid": "string"
},
"uuid": "string"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Response
Status: 201, Created
Error
Status: Default, Error
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
application
| Name | Type | Description |
|---|---|---|
name |
string |
Application name |
uuid |
string |
The application UUID. Valid in URL. |
components
| Name | Type | Description |
|---|---|---|
name |
string |
Component name |
uuid |
string |
Component UUID |
svm
| Name | Type | Description |
|---|---|---|
name |
string |
SVM name |
uuid |
string |
SVM UUID |
application_snapshot
| Name | Type | Description |
|---|---|---|
application |
||
comment |
string |
Comment. Valid in POST. |
components |
array[components] |
|
consistency_type |
string |
Consistency type. This is for categorization purposes only. A snapshot should not be set to 'application consistent' unless the host application is quiesced for the snapshot. Valid in POST. |
create_time |
string |
Creation time |
is_partial |
boolean |
A partial snapshot means that not all volumes in an application component were included in the snapshot. |
name |
string |
The snapshot name. Valid in POST. |
svm |
||
uuid |
string |
The snapshot UUID. Valid in URL. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |